LibreOffice LibreOffice 24.2 SDK API Reference

Loading...
Searching...
No Matches
Classes | Enumerations
com::sun::star::scanner Module Reference

Interfaces for scanner control. More...

## Classes
struct | ScannerContext
| a scanner context is an identifier for a specific scanner device More...
exception | ScannerException
| A ScannerException gets thrown if an object of type XScannerManager could not complete a specific action. More...
service | ScannerManager
| ScannerManager provides a simple method to access scanner devices (or other image producing devices) More...
interface | XScannerManager
interface | XScannerManager2
| Extension of XScannerManager. More...

## Enumerations
enum | ScanError { ScanErrorNone , ScannerNotAvailable , ScanFailed , ScanInProgress , ScanCanceled , InvalidContext }
| enum ScanError describes error codes of scanner component More...

## Detailed Description

Interfaces for scanner control.

## Enumeration Type Documentation

## ◆ ScanError

enum ScanError
| published

enum ScanError describes error codes of scanner component

Enumerator
ScanErrorNone | ScanErrorNone: no error occurred.
ScannerNotAvailable | ScannerNotAvailable: the requested device could not be opened.
ScanFailed | ScanFailed: an error occurred during scanning.
ScanInProgress | ScanInProgress: a scan is already in progress on this device that has to end before a new one can be started.
ScanCanceled | ScanCanceled: the scan was canceled by the user.
InvalidContext | InvalidContext: a device was requested that does not exist.